DELUGE-CONSOLE(1)

NAME
deluge-console - A BitTorrent client console interface

SYNOPSIS
deluge-console [options]

DESCRIPTION
Deluge utilizes a client/server model, with deluged being the daemon process and deluge-console being used to launch a curses console user-interface.

  Console Commands:
You can pass console commands directly from the command line and use semi-colon (;) seperator to run multiple commands. Enclosing the commands with quotes may also be required for example:
    deluge-console 'add <torrent>; info <torrent_id>' The following console commands are available:
add | Add torrents
cache | Show information about the disk cache
config | Show and set configuration values
connect | Connect to a new deluge server
debug | Enable and disable debugging
del | Alias for rm
exit | Alias for quit
gui | Enable interactive mode
halt | Shutdown the deluge server
help | Displays help on other commands
info | Show information about the torrents
manage | Show and manage per-torrent options
move | Move torrents' storage location
pause | Pause torrents
plugin | Manage plugins
quit | Exit the client
reannounce | Alias for update_tracker
recheck | Forces a recheck of the torrent data
resume | Resume torrents
rm | Remove a torrent
status | Shows a various status information from the daemon
update_tracker | Update tracker for torrent(s)

OPTIONS

  Config Options

-c path, --config=path
    Set the config directory location.

  Console Options
These daemon connect options will be used for commands, or if console ui autoconnect is enabled.

-d ip_addr, --daemon=ip_addr
    Deluge daemon IP address to connect to (default 127.0.0.1)

-p port, --port=port
    Deluge daemon port to connect to (default 58846)

-U user, --username=user
    Deluge daemon username to use when connecting

-P pass, --password=pass
    Deluge daemon password to use when connecting

  Logging Options

-l file, --logfile=file
    Output to specified logfile instead of stdout

-L loglevel, --loglevel=loglevel
    Set the log level (default is error): none, info, warning, error, debug

-q, --quiet
    Sets the log level to none, same as -L none

--logrotate[=max-size]
    Enable logfile rotation, with optional maximum logfile size, default: 2M (Logfile rotation count is 5)

--profile[=file]
    Profile with cProfile. Outputs to stdout unless a filename is specified

  Help Options

-V, --version
    Show program's version number and exit.

-h, --help
    Show help message and exit.

SEE ALSO
deluge(1), deluged(1), deluge-web(1)

AUTHORS
Deluge Team: http://www.deluge-torrent.org